# PrefixSign
<span class="source-link">[[Source]](src/format/prefix_spec.md#L6)</span>
```pony
primitive val PrefixSign is
  PrefixSpec val
```

#### Implements

* [PrefixSpec](format-PrefixSpec) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/format/prefix_spec.md#L6)</span>


```pony
new val create()
: PrefixSign val^
```

#### Returns

* [PrefixSign](format-PrefixSign) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/format/prefix_spec.md#L8)</span>


```pony
fun box eq(
  that: PrefixSign val)
: Bool val
```
#### Parameters

*   that: [PrefixSign](format-PrefixSign) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/format/prefix_spec.md#L8)</span>


```pony
fun box ne(
  that: PrefixSign val)
: Bool val
```
#### Parameters

*   that: [PrefixSign](format-PrefixSign) val

#### Returns

* [Bool](builtin-Bool) val

---

